[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.GetStreamSignature

Gets the stream signature used for icon data.

## Declaration

Source position: graphics.pp line 1632

`protected class function TCustomIcon.GetStreamSignature: Cardinal; virtual;`

## Function result

Cardinal value with the stream signature for the class.

## Description

GetStreamSignature is a Cardinal class function used to get the signature which identifies the image content when stored in a stream. GetStreamSignature is used in the implementation of the ReadData method which reads the values for the class instance during LCL component streaming.

GetStreamSignature is defined as a virtual method, and is overridden in TIcon to use the value required for the icon image format.

## See also

TIcon |  | Implements an icon image type; small images typically associated with applications, controls, etc.